package com.ibm.etools.gef.examples.shapes.edit;

import com.ibm.etools.common.command.Command;
import com.ibm.etools.gef.editpolicies.ComponentEditPolicy;
import com.ibm.etools.gef.examples.shapes.model.DeleteCommand;
import com.ibm.etools.gef.examples.shapes.model.Shape;
import com.ibm.etools.gef.examples.shapes.model.ShapeDiagram;
import com.ibm.etools.gef.requests.DeleteRequest;

public class ShapeEditPolicy extends ComponentEditPolicy {

protected Command createDeleteCommand(DeleteRequest request) {
	DeleteCommand command = new DeleteCommand();
	command.setParent((ShapeDiagram)getHost().getParent().getModel());
	command.setChild((Shape)getHost().getModel());
	return command;
}

}
