package com.ibm.etools.gef.examples.shapes.model;

import java.util.ArrayList;
import java.util.List;

public class ShapeDiagram extends Shape {

public static String PROP_CHILDREN = "children";  //$NON-NLS-1$
private List children = new ArrayList();

public void addChild(Shape shape) {
	children.add(shape);
	firePropertyChange(PROP_CHILDREN, null, shape);
}

public List getChildren() {
	return children;
}

public void removeChild(Shape shape) {
	children.remove(shape);
	firePropertyChange(PROP_CHILDREN, shape, null);
}

}
